Debian Bug report logs - #720507
.dsc field for dgit

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Ian Jackson <ijackson@chiark.greenend.org.uk>

Date: Thu, 22 Aug 2013 17:51:02 UTC

Severity: wishlist

Tags: patch

Found in version debian-policy/3.9.4.0

Fixed in version debian-policy/3.9.5.0

Done: Charles Plessy <plessy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Thu, 22 Aug 2013 17:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
New Bug report received and forwarded. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 22 Aug 2013 17:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: submit@bugs.debian.org
Subject: .dsc field for dgit
Date: Thu, 22 Aug 2013 18:48:02 +0100
Package: debian-policy
Version: 3.9.4.0

I have been working on a new tool for integration between the Debian
archive and git.  The best available description is probably its
manpage:
  http://www.chiark.greenend.org.uk/~ijackson/2013/dgit.html

dgit uses a new field in .dsc files, which I have called
Vcs-Dgit-Master.  Here is my proposed policy amendment to describe it.

There is no need for anything other than dgit to know about this
field or its implications, although QA tools could profitably check
some of the facts stated in the spec.

Thanks,
Ian.


diff --git a/policy.sgml b/policy.sgml
index 5760a3f..f8051c0 100644
--- a/policy.sgml
+++ b/policy.sgml
@@ -2655,7 +2655,7 @@ Package: libc6
 	    <item><qref id="sourcebinarydeps"><tt>Build-Depends</tt> et al</qref></item>
 	    <item><qref id="f-Standards-Version"><tt>Standards-Version</tt></qref> (recommended)</item>
 	    <item><qref id="f-Homepage"><tt>Homepage</tt></qref></item>
-	    <item><qref id="f-VCS-fields"><tt>Vcs-Browser</tt>, <tt>Vcs-Git</tt>, et al.</qref></item>
+	    <item><qref id="f-VCS-fields"><tt>Vcs-Browser</tt>, <tt>Vcs-Git</tt>, et al. (except <tt>Vcs-Dgit-Master</tt>)</qref></item>
 	  </list>
 	</p>
 
@@ -3809,6 +3809,44 @@ Checksums-Sha256:
 		  package.
 		</p>
 	      </item>
+
+	      <tag>
+		<tt>Vcs-Dgit-Master</tt>
+	      </tag>
+	      <item>
+		<p>
+	          Present only in <file>.dsc</file>
+                  (and <file>Sources</file>).  Must not be present
+                  in <file>debian/control</file>.  Generated
+                  automatically as appropriate.
+		</p>
+		<p>
+		  Declares that this source package corresponds exactly
+		  to the referenced git commit.
+		</p>
+		<p>
+		  The format is a single git commit hash, presented in
+		  full, followed optionally by whitespace and other
+		  data to be defined in future extensions.  This is a
+		  folded field.
+		</p>
+		<p>
+	          The commit hash must refer to a git commit which is
+	          available in dgit-repos.  Specifically, the commit
+	          must be available in the well-known dgit-repos
+	          location for the package named in <tt>Source</tt>,
+                  which is currently
+ <tt>git://dgit.debian.net/dgit-repos/</tt><var>package</var><tt>.git</tt>.
+                  The commit must be reachable in that tree from at
+                  least one git ref whose name
+                  matches <tt>refs/dgit/*</tt> (but not necessarily
+                  the ref <tt>refs/dgit/</tt><var>suite</var> for the
+                  suite in which the <file>.dsc</file> is found).
+		</p>
+		<p>
+		  This field is used by <prgn>dgit</prgn>.
+		</p>
+	      </item>
 	    </taglist>
 	  </p>
 	</sect1>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Thu, 22 Aug 2013 19:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <xnox@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 22 Aug 2013 19:45:10 GMT) Full text and rfc822 format available.

Message #10 received at 720507@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <xnox@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>, 720507@bugs.debian.org
Subject: Re: Bug#720507: .dsc field for dgit
Date: Thu, 22 Aug 2013 20:44:18 +0100
On 22 August 2013 18:48, Ian Jackson <ijackson@chiark.greenend.org.uk> wrote:
> Package: debian-policy
> Version: 3.9.4.0
>
> I have been working on a new tool for integration between the Debian
> archive and git.  The best available description is probably its
> manpage:
>   http://www.chiark.greenend.org.uk/~ijackson/2013/dgit.html
>
> dgit uses a new field in .dsc files, which I have called
> Vcs-Dgit-Master.  Here is my proposed policy amendment to describe it.
>
> There is no need for anything other than dgit to know about this
> field or its implications, although QA tools could profitably check
> some of the facts stated in the spec.
>

Using this field, seems to miss-render on Debian PTS.

See: http://packages.qa.debian.org/d/dgit.html

Click on the link next to VCS: "" it goes nowhere =)

Regards,

Dmitrijs.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Thu, 22 Aug 2013 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 22 Aug 2013 19:57:04 GMT) Full text and rfc822 format available.

Message #15 received at 720507@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 720507@bugs.debian.org
Subject: Re: Bug#720507: .dsc field for dgit
Date: Thu, 22 Aug 2013 20:53:36 +0100
Dmitrijs Ledkovs writes ("Re: Bug#720507: .dsc field for dgit"):
> Using this field, seems to miss-render on Debian PTS.
> 
> See: http://packages.qa.debian.org/d/dgit.html
> 
> Click on the link next to VCS: "" it goes nowhere =)

Hmm.  Would it be better to pick a different name ?  It's not too late
- I can have it understand both the old and new names and generate
only the new one.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Thu, 22 Aug 2013 20:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <xnox@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 22 Aug 2013 20:33:05 GMT) Full text and rfc822 format available.

Message #20 received at 720507@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <xnox@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>, 720507@bugs.debian.org
Subject: Re: Bug#720507: .dsc field for dgit
Date: Thu, 22 Aug 2013 21:28:49 +0100
On 22 August 2013 20:53, Ian Jackson <ijackson@chiark.greenend.org.uk> wrote:
> Dmitrijs Ledkovs writes ("Re: Bug#720507: .dsc field for dgit"):
>> Using this field, seems to miss-render on Debian PTS.
>>
>> See: http://packages.qa.debian.org/d/dgit.html
>>
>> Click on the link next to VCS: "" it goes nowhere =)
>
> Hmm.  Would it be better to pick a different name ?  It's not too late
> - I can have it understand both the old and new names and generate
> only the new one.
>

No idea. I guess Debian PTS blindly copies & displays any Vcs-*:
fields as the URL.
It would then work if that field would be a valid url e.g.:

http://anonscm.debian.org/gitweb/?p=dgit-repos/dgit.git;a=commit;h=1ce58351167dc6e9410f07bc4989f7c21940ba22

Regards,

Dmitrijs.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Thu, 22 Aug 2013 23:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 22 Aug 2013 23:21:04 GMT) Full text and rfc822 format available.

Message #25 received at 720507@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 720507@bugs.debian.org
Subject: Re: Bug#720507: .dsc field for dgit
Date: Fri, 23 Aug 2013 00:16:44 +0100
Dmitrijs Ledkovs writes ("Re: Bug#720507: .dsc field for dgit"):
> No idea. I guess Debian PTS blindly copies & displays any Vcs-*:
> fields as the URL.
> It would then work if that field would be a valid url e.g.:
> 
> http://anonscm.debian.org/gitweb/?p=dgit-repos/dgit.git;a=commit;h=1ce58351167dc6e9410f07bc4989f7c21940ba22

I think this is starting to convince me that this means I should be
using a different kind of field name.  This isn't really suitable.  In
particular, it shouldn't interact with any deliberate setting of Vcs-*
by the maintainer.

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Thu, 22 Aug 2013 23:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 22 Aug 2013 23:39:05 GMT) Full text and rfc822 format available.

Message #30 received at 720507@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>, 720507@bugs.debian.org
Subject: Re: Bug#720507: .dsc field for dgit
Date: Fri, 23 Aug 2013 08:34:43 +0900
user debian-policy@packages.debian.org
severity 720507 wishlist
usertags 720507 normative issue
thanks

Le Thu, Aug 22, 2013 at 06:48:02PM +0100, Ian Jackson a écrit :
> 
> I have been working on a new tool for integration between the Debian
> archive and git.  The best available description is probably its
> manpage:
>   http://www.chiark.greenend.org.uk/~ijackson/2013/dgit.html
> 
> dgit uses a new field in .dsc files, which I have called
> Vcs-Dgit-Master.  Here is my proposed policy amendment to describe it.

Dear Ian,

thank you for your patch and for your work on dgit.  In light of the discussion
about how our infrastructure handles this field, I would like to wait for
further testing and adoption before adding it to the Policy.  Please do not
hesitate to ping us when you think it is time.

About the name, what does "Master" mean ?  Isn't that misleading if the
referenced commit is not on the master branch ?

About the specification of the commit hash: why is it not needed for a package
uploaded to a given suite, that the commit is reachable in refs/dgit/suite ?
Also, what kind of commits in dgit repository are not reachable in refs/dgit/* ?
I am asking because I wonder if the description is going too much in details.

Lastly, in case of the dgit repositories would move from the Alioth project
'dgit-repos' to somewhere else, could you propose a wording that is more
generic, and that is more explicit on what a 'dgit-repos' is ?

Have a nice day,

PS: off-topic question: do you have comments to make about the documentation
of Dpkg's triggers to the Policy ?

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Severity set to 'wishlist' from 'normal' Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Thu, 22 Aug 2013 23:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Fri, 23 Aug 2013 01:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 23 Aug 2013 01:54:07 GMT) Full text and rfc822 format available.

Message #37 received at 720507@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Charles Plessy <plessy@debian.org>, 720507@bugs.debian.org
Cc: Ian Jackson <ijackson@chiark.greenend.org.uk>
Subject: Re: Bug#720507: .dsc field for dgit
Date: Thu, 22 Aug 2013 21:50:43 -0400
[Message part 1 (text/plain, inline)]
Charles Plessy wrote:
> About the specification of the commit hash: why is it not needed for a package
> uploaded to a given suite, that the commit is reachable in refs/dgit/suite ?

AIUI this is because packages move between suites in the archive without
that move necessarily being immediately reflected in a git repository.
Also because dgit doesn't need that invariant to work properly.

> Also, what kind of commits in dgit repository are not reachable in refs/dgit/* ?

Ones in refs/heads/master or refs/tags/ for example.

> Lastly, in case of the dgit repositories would move from the Alioth project
> 'dgit-repos' to somewhere else, could you propose a wording that is more
> generic, and that is more explicit on what a 'dgit-repos' is ?

It may be too early to put a MUST in policy that would be
broken if dgit.debian.net went away tomorrow. But I think what Ian is
trying to do here is avoid the archive and dgit.debian.net becoming
inconsistent due to a botched upload, as long as dgit.debian.net continues
to exist and continues to contain a repository for a given package.
It's reasonable to consider such an inconsistency a bug in the package,
unless it somehow turns out to be a bug in dgit.debian.net.

Maybe this is a better way to do that:

	When a git repository exists in the well-known dgit-repos
	location for the package named in <tt>Source</tt>
	(which is currently defined to be
	<tt>git://dgit.debian.net/dgit-repos/</tt><var>package</var><tt>.git</tt>),
	the commit must be reachable in that repository from at
	least one git ref whose name
	matches <tt>refs/dgit/*</tt> (but not necessarily
	the ref <tt>refs/dgit/</tt><var>suite</var> for the
	suite in which the <file>.dsc</file> is found).

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Fri, 23 Aug 2013 09:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 23 Aug 2013 09:12:07 GMT) Full text and rfc822 format available.

Message #42 received at 720507@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>, 720507@bugs.debian.org
Subject: Re: Bug#720507: .dsc field for dgit
Date: Fri, 23 Aug 2013 11:09:49 +0200
Hi,

On Fri, 23 Aug 2013, Ian Jackson wrote:
> I think this is starting to convince me that this means I should be
> using a different kind of field name.  This isn't really suitable.  In
> particular, it shouldn't interact with any deliberate setting of Vcs-*
> by the maintainer.

Yes, "Dgit-Commit" or "Dgit-Ref" or something like that seems to be
cleaner.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Fri, 23 Aug 2013 11:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 23 Aug 2013 11:48:04 GMT) Full text and rfc822 format available.

Message #47 received at 720507@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Joey Hess <joeyh@debian.org>, Charles Plessy <plessy@debian.org>
Cc: 720507@bugs.debian.org
Subject: Re: Bug#720507: .dsc field for dgit [and 1 more messages]
Date: Fri, 23 Aug 2013 12:44:36 +0100
Charles Plessy writes ("Re: Bug#720507: .dsc field for dgit"):
> thank you for your patch and for your work on dgit.  In light of the
> discussion about how our infrastructure handles this field, I would
> like to wait for further testing and adoption before adding it to
> the Policy.  Please do not hesitate to ping us when you think it is
> time.

I'd like to get the field name finalised soon, and also to add the
policy requirement.  Joey explains it well.

> About the name, what does "Master" mean ?  Isn't that misleading if the
> referenced commit is not on the master branch ?

Perhaps it is.

I'm certainly not wedded to the name.  "Dgit-Commit" would be an
obvious one but in the future I expect it to contain more than one
commit hash and perhaps other information.  Is just "Dgit" too
short ?

> Lastly, in case of the dgit repositories would move from the Alioth project
> 'dgit-repos' to somewhere else, could you propose a wording that is more
> generic, and that is more explicit on what a 'dgit-repos' is ?

"dgit-repos" is precisely the name for the canonical location in which
these commits can be found.

> PS: off-topic question: do you have comments to make about the documentation
> of Dpkg's triggers to the Policy ?

I'm afraid I haven't had a chance to review that.  Is it any different
in semantics to the original triggers text file document ?

Joey Hess writes ("Re: Bug#720507: .dsc field for dgit"):
> AIUI this is because packages move between suites in the archive without
> that move necessarily being immediately reflected in a git repository.
> Also because dgit doesn't need that invariant to work properly.

Precisely.

> It may be too early to put a MUST in policy that would be
> broken if dgit.debian.net went away tomorrow.

I think that the right approach to that would be to remove the item
from policy again, or to regard it as a bug in dgit.debian.net.

>  But I think what Ian is trying to do here is avoid the archive and
> dgit.debian.net becoming inconsistent due to a botched upload, as
> long as dgit.debian.net continues to exist and continues to contain
> a repository for a given package.  It's reasonable to consider such
> an inconsistency a bug in the package, unless it somehow turns out
> to be a bug in dgit.debian.net.

Yes.  I would go further: even if the repo doesn't exist for that
specific package, it is a problem.

I think the right way is my wording.  If it turns out that
dgit.debian.net breaks then that's a bug in dgit.debian.net.  If the
package has a broken state then it should be rectified somehow.

dgit.debian.net is only going to go away entirely if we consider the
whole thing a failed experiment (and perhaps not even then).

Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Fri, 23 Aug 2013 14:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 23 Aug 2013 14:09:11 GMT) Full text and rfc822 format available.

Message #52 received at 720507@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>, 720507@bugs.debian.org, Joey Hess <joeyh@debian.org>, Charles Plessy <plessy@debian.org>
Cc: 720507@bugs.debian.org
Subject: Re: Bug#720507: .dsc field for dgit [and 1 more messages]
Date: Fri, 23 Aug 2013 07:52:38 -0600
[Message part 1 (text/plain, inline)]
Ian Jackson <ijackson@chiark.greenend.org.uk> writes:

> Is just "Dgit" too short ?

Works for me.

Bdale
[Message part 2 (application/pgp-signature, inline)]

Added indication that bug 720507 blocks 720201 Request was from Ian Jackson <ijackson@chiark.greenend.org.uk> to control@bugs.debian.org. (Fri, 23 Aug 2013 16:21:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Sat, 24 Aug 2013 00:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 24 Aug 2013 00:24:09 GMT) Full text and rfc822 format available.

Message #59 received at 720507@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>, 720507@bugs.debian.org
Subject: Re: Bug#720507: .dsc field for dgit
Date: Sat, 24 Aug 2013 02:21:43 +0200
Hi!

On Thu, 2013-08-22 at 18:48:02 +0100, Ian Jackson wrote:
> Package: debian-policy
> Version: 3.9.4.0

> I have been working on a new tool for integration between the Debian
> archive and git.  The best available description is probably its
> manpage:
>   http://www.chiark.greenend.org.uk/~ijackson/2013/dgit.html
> 
> dgit uses a new field in .dsc files, which I have called
> Vcs-Dgit-Master.  Here is my proposed policy amendment to describe it.
> 
> There is no need for anything other than dgit to know about this
> field or its implications, although QA tools could profitably check
> some of the facts stated in the spec.

It seems premature to me to document this in policy while as you
recognize elsewhere this is for now still just an experiment. In a way
I guess I also fail to see the need to document it at all in policy
given that it's a tool specific field (we have other such tool
specific fields specified in external documents or policies). QA
tools should be able to follow whatever spec the tool has designated
for itself, no?

Thanks,
Guillem



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Sat, 24 Aug 2013 01:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 24 Aug 2013 01:27:04 GMT) Full text and rfc822 format available.

Message #64 received at 720507@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>, 720507@bugs.debian.org
Subject: Re: Bug#720507: .dsc field for dgit [and 1 more messages]
Date: Sat, 24 Aug 2013 10:25:45 +0900
Thanks Ian and everybody for your comments.

Here is a simplified patch, written under the assumption of "Dgit" for the
name.

I made the following changes:

 - Removed mention that this field is only in Debian source control files and
   must not be present in source package control files: it is obvious from the
   sections 5.2 and 5.4, and this is not done for other fields.

 - Reorganised in two paragrpahs, one for the syntax, and one for the purpose
   and implementation.

 - I removed the location of dgit-repos, and the warning that searching in
   <tt>refs/dgit/</tt><var>suite</var> is too strict.  To compensate, I
   added an invitation to read the manual.

Altogether, I hope that my proposition strikes a good balance.  The chapter 5
is the specification of the control fields, and I think that a more precide
description on Dgit's implementation would be off-topic there.

Here is the patch, what do you think of it ?

@@ -2759,6 +2759,7 @@ Package: libc6
          <item><qref id="f-Uploaders"><tt>Uploaders</tt></qref></item>
          <item><qref id="f-Homepage"><tt>Homepage</tt></qref></item>
          <item><qref id="f-VCS-fields"><tt>Vcs-Browser</tt>, <tt>Vcs-Git</tt>, et al.</qre
+         <item><qref id="f-Dgit"><tt>Dgit</tt></qref></item>
          <item><qref id="f-Standards-Version"><tt>Standards-Version</tt></qref> (recommend
          <item><qref id="sourcebinarydeps"><tt>Build-Depends</tt> et al</qref></item>
          <item><qref id="f-Package-List"><tt>Package-List</tt></qref> (recommended)</item>
@@ -3840,6 +3841,26 @@ Checksums-Sha256:
            this value is assumed for paragraphs lacking this field.
          </p>
        </sect1>
+
+       <sect1 id="f-Dgit">
+         <heading><tt>Dgit</tt></heading>
+
+         <p>
+           Folded field containing a single git commit hash, presented in
+           full, followed optionally by whitespace and other data to be
+           defined in future extensions.
+         </p>
+
+         <p>
+           Declares that the source package corresponds exactly to a
+           referenced commit in a Git repository available at the canonical
+           location called <em>dgit-repos</em>, used by <prgn>dgit</prgn>, a
+           bidirectional gateway between the Debian archive and Git.  The
+           commit is reachable from at least one reference whose name matches
+           <tt>refs/dgit/*</tt>.  See the manual page of <prgn>dgit</prgn> for
+           further details.
+         </p>
+       </sect1>
       </sect>
 
       <sect>

Have a nice week-end,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Thu, 29 Aug 2013 01:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 29 Aug 2013 01:03:09 GMT) Full text and rfc822 format available.

Message #69 received at 720507@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Charles Plessy <plessy@debian.org>
Cc: 720507@bugs.debian.org
Subject: Re: Bug#720507: .dsc field for dgit [and 1 more messages]
Date: Thu, 29 Aug 2013 02:00:40 +0100
[Message part 1 (text/plain, inline)]
Charles Plessy writes ("Re: Bug#720507: .dsc field for dgit [and 1 more messages]"):
> Here is a simplified patch, written under the assumption of "Dgit" for the
> name.

Thanks.

> I made the following changes:
> [stuff]

Right.  That all sounds excellent thanks.

(However, did you edit the diff by hand ?  I tried to apply it so I
could read the formatted copy and failed.  I have attached a fixed
version.)

Ian.

[policy.diff (text/plain, inline)]
diff --git a/policy.sgml b/policy.sgml
index 5760a3f..79ebc68 100644
--- a/policy.sgml
+++ b/policy.sgml
@@ -2751,6 +2751,7 @@ Package: libc6
 	  <item><qref id="f-DM-Upload-Allowed"><tt>DM-Upload-Allowed</tt></qref></item>
 	  <item><qref id="f-Homepage"><tt>Homepage</tt></qref></item>
 	  <item><qref id="f-VCS-fields"><tt>Vcs-Browser</tt>, <tt>Vcs-Git</tt>, et al.</qref></item>
+	  <item><qref id="f-Dgit"><tt>Dgit</tt></qref></item>
 	  <item><qref id="f-Standards-Version"><tt>Standards-Version</tt></qref> (recommended)</item>
 	  <item><qref id="sourcebinarydeps"><tt>Build-Depends</tt> et al</qref></item>
 	  <item><qref id="f-Checksums"><tt>Checksums-Sha1</tt>
@@ -3812,6 +3813,26 @@ Checksums-Sha256:
 	    </taglist>
 	  </p>
 	</sect1>
+
+       <sect1 id="f-Dgit">
+	 <heading><tt>Dgit</tt></heading>
+
+	 <p>
+	   Folded field containing a single git commit hash, presented in
+	   full, followed optionally by whitespace and other data to be
+	   defined in future extensions.
+	 </p>
+
+	 <p>
+	   Declares that the source package corresponds exactly to a
+	   referenced commit in a Git repository available at the canonical
+	   location called <em>dgit-repos</em>, used by <prgn>dgit</prgn>, a
+	   bidirectional gateway between the Debian archive and Git.  The
+	   commit is reachable from at least one reference whose name matches
+	   <tt>refs/dgit/*</tt>.  See the manual page of <prgn>dgit</prgn> for
+	   further details.
+	 </p>
+       </sect1>
       </sect>
 
       <sect>

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Thu, 29 Aug 2013 01:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 29 Aug 2013 01:06:04 GMT) Full text and rfc822 format available.

Message #74 received at 720507@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: Guillem Jover <guillem@debian.org>
Cc: 720507@bugs.debian.org
Subject: Re: Bug#720507: .dsc field for dgit
Date: Thu, 29 Aug 2013 02:02:43 +0100
Guillem Jover writes ("Re: Bug#720507: .dsc field for dgit"):
> It seems premature to me to document this in policy while as you
> recognize elsewhere this is for now still just an experiment. In a way
> I guess I also fail to see the need to document it at all in policy
> given that it's a tool specific field (we have other such tool
> specific fields specified in external documents or policies). QA
> tools should be able to follow whatever spec the tool has designated
> for itself, no?

For the reasons Joey explains, I would like it documented.  Also, TBH,
I don't think it is really right to have a lot of tool-specific fields
which aren't documented in our reference manual.

In principle this isn't a tool-specific field, in the sense that the
specification is published and other machinery which wants to make use
of it can do so.

As for dgit still being an experiment: well, I think it's beyond that
now.

Thanks,
Ian.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Sat, 31 Aug 2013 09:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sat, 31 Aug 2013 09:21:05 GMT) Full text and rfc822 format available.

Message #79 received at 720507@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>, 720507@bugs.debian.org
Subject: Re: Bug#720507: .dsc field for dgit [and 1 more messages]
Date: Sat, 31 Aug 2013 18:17:29 +0900
tag 720507 patch
thanks

Le Thu, Aug 29, 2013 at 02:00:40AM +0100, Ian Jackson a écrit :
> Charles Plessy writes ("Re: Bug#720507: .dsc field for dgit [and 1 more messages]"):
> > Here is a simplified patch, written under the assumption of "Dgit" for the
> > name.
> 
> Thanks.
> 
> > I made the following changes:
> > [stuff]
> 
> Right.  That all sounds excellent thanks.
> 
> (However, did you edit the diff by hand ?  I tried to apply it so I
> could read the formatted copy and failed.  I have attached a fixed
> version.)

Hi Ian and everybody,

Indeed, the was pasted from my screen and I did not expect people to apply it
(I rather expected free-form comments).  Next time, I will attach a proper Git
patch.

In the Policy's changelog, we tend to document who made the wording and who
seconded the change.  Given that I merely rephrased your proposal, I will list
you for the wording and me for the seconding the patch unless you prefer me to
do the reverse.

In any case, we need one more Developer to support this patch before applying to
the Policy.  Once we have this extra assessment for consensus, I will apply it
unless there are clear objections.  Guillem, please raise your hand if you
oppose the patch: at the moment I take your comment more as an advise (which I
welcome despite I respectfully disagree with), and not as a blocking objection.

To the others, please do not hesitate to propose (with wording if possible) the
documentation of other fields missing from the current list.

Have a nice week-end,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Added tag(s) patch. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Sat, 31 Aug 2013 09:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Sun, 08 Sep 2013 09:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 08 Sep 2013 09:15:04 GMT) Full text and rfc822 format available.

Message #86 received at 720507@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 720507@bugs.debian.org
Cc: Ian Jackson <ijackson@chiark.greenend.org.uk>
Subject: Re: Bug#720507: .dsc field for dgit [and 1 more messages]
Date: Sun, 8 Sep 2013 18:12:17 +0900
Le Sat, Aug 31, 2013 at 06:17:29PM +0900, Charles Plessy a écrit :
> 
> In any case, we need one more Developer to support this patch before applying to
> the Policy.  Once we have this extra assessment for consensus, I will apply it
> unless there are clear objections.

Ping ?

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Mon, 09 Sep 2013 15:48:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 09 Sep 2013 15:48:10 GMT) Full text and rfc822 format available.

Message #91 received at 720507@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Charles Plessy <plessy@debian.org>, 720507@bugs.debian.org
Cc: Ian Jackson <ijackson@chiark.greenend.org.uk>
Subject: Re: Bug#720507: .dsc field for dgit [and 1 more messages]
Date: Mon, 9 Sep 2013 11:46:11 -0400
[Message part 1 (text/plain, inline)]
Charles Plessy wrote:
> Le Sat, Aug 31, 2013 at 06:17:29PM +0900, Charles Plessy a écrit :
> > 
> > In any case, we need one more Developer to support this patch before applying to
> > the Policy.  Once we have this extra assessment for consensus, I will apply it
> > unless there are clear objections.
> 
> Ping ?

I support this proposal and this particular implementation of it.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Mon, 09 Sep 2013 15:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <xnox@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 09 Sep 2013 15:51:05 GMT) Full text and rfc822 format available.

Message #96 received at 720507@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <xnox@debian.org>
To: Charles Plessy <plessy@debian.org>, 720507@bugs.debian.org
Cc: Ian Jackson <ijackson@chiark.greenend.org.uk>
Subject: Re: Bug#720507: .dsc field for dgit [and 1 more messages]
Date: Mon, 9 Sep 2013 16:49:01 +0100
On 8 September 2013 10:12, Charles Plessy <plessy@debian.org> wrote:
> Le Sat, Aug 31, 2013 at 06:17:29PM +0900, Charles Plessy a écrit :
>>
>> In any case, we need one more Developer to support this patch before applying to
>> the Policy.  Once we have this extra assessment for consensus, I will apply it
>> unless there are clear objections.
>
> Ping ?
>

I support this proposal and this particular implementation of it.

Regards,

Dmitrijs.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Mon, 09 Sep 2013 23:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Mon, 09 Sep 2013 23:15:08 GMT) Full text and rfc822 format available.

Message #101 received at 720507@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 720507@bugs.debian.org
Subject: Re: Bug#720507: .dsc field for dgit [and 1 more messages]
Date: Tue, 10 Sep 2013 08:10:59 +0900
tag 720507 pending
thanks

Le Mon, Sep 09, 2013 at 11:46:11AM -0400, Joey Hess a écrit :
> 
> I support this proposal and this particular implementation of it.

Le Mon, Sep 09, 2013 at 04:49:01PM +0100, Dmitrijs Ledkovs a écrit :
> 
> I support this proposal and this particular implementation of it.

Thank you, I have pushed the patch.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan



Added tag(s) pending. Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Mon, 09 Sep 2013 23:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Tue, 10 Sep 2013 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Tue, 10 Sep 2013 09:27:03 GMT) Full text and rfc822 format available.

Message #108 received at 720507@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Charles Plessy <plessy@debian.org>, 720507@bugs.debian.org
Cc: Ian Jackson <ijackson@chiark.greenend.org.uk>
Subject: Re: Bug#720507: .dsc field for dgit [and 1 more messages]
Date: Tue, 10 Sep 2013 11:23:55 +0200
Hi!

On Sat, 2013-08-31 at 18:17:29 +0900, Charles Plessy wrote:
> In any case, we need one more Developer to support this patch before applying to
> the Policy.  Once we have this extra assessment for consensus, I will apply it
> unless there are clear objections.  Guillem, please raise your hand if you
> oppose the patch: at the moment I take your comment more as an advise (which I
> welcome despite I respectfully disagree with), and not as a blocking objection.

I still don't see a direct need, but I don't mind either. My main
concern is though, that I don't want to have to add support for
application-specific (or even if feasible Debian specific) fields to
dpkg (Dm-Upload-Allowed comes to mind), just because they appear in
policy. That was somehow clear from Ian's mail, but not from the
field description.

Thanks,
Guillem



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#720507; Package debian-policy. (Wed, 11 Sep 2013 23:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 11 Sep 2013 23:33:04 GMT) Full text and rfc822 format available.

Message #113 received at 720507@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Guillem Jover <guillem@debian.org>, 720507@bugs.debian.org
Subject: Re: Bug#720507: .dsc field for dgit [and 1 more messages]
Date: Thu, 12 Sep 2013 08:30:02 +0900
Le Tue, Sep 10, 2013 at 11:23:55AM +0200, Guillem Jover a écrit :
> 
> On Sat, 2013-08-31 at 18:17:29 +0900, Charles Plessy wrote:
> > In any case, we need one more Developer to support this patch before applying to
> > the Policy.  Once we have this extra assessment for consensus, I will apply it
> > unless there are clear objections.  Guillem, please raise your hand if you
> > oppose the patch: at the moment I take your comment more as an advise (which I
> > welcome despite I respectfully disagree with), and not as a blocking objection.
> 
> I still don't see a direct need, but I don't mind either. My main
> concern is though, that I don't want to have to add support for
> application-specific (or even if feasible Debian specific) fields to
> dpkg (Dm-Upload-Allowed comes to mind), just because they appear in
> policy. That was somehow clear from Ian's mail, but not from the
> field description.

Hi Guillem,

please rest assured that modifications to the Policy must not cause large
amounts of work to the developers.  The Policy follows current practice and
does not change it.  I also would like the Policy to be a useful reference for
all developers, who may wonder about the function of a given field in a given
control file, which is why I have been pushing for a more extensive coverage.

Have a nice day,

-- 
Charles



Reply sent to Charles Plessy <plessy@debian.org>:
You have taken responsibility. (Mon, 28 Oct 2013 01:22:18 GMT) Full text and rfc822 format available.

Notification sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Bug acknowledged by developer. (Mon, 28 Oct 2013 01:22:18 GMT) Full text and rfc822 format available.

Message #118 received at 720507-close@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 720507-close@bugs.debian.org
Subject: Bug#720507: fixed in debian-policy 3.9.5.0
Date: Mon, 28 Oct 2013 01:18:26 +0000
Source: debian-policy
Source-Version: 3.9.5.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 720507@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Charles Plessy <plessy@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 28 Oct 2013 09:40:48 +0900
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.9.5.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Charles Plessy <plessy@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 668394 669915 671355 676784 679326 690293 691352 697433 698030 700536 700574 701081 703022 704657 705403 706778 707077 707183 715804 720507
Changes: 
 debian-policy (3.9.5.0) unstable; urgency=low
 .
   * Policy: Document the Package-List field.
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #697433
   * Policy: DM-Upload-Allowed is now obsolete
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Ansgar Burchardt <ansgar@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #679326
   * Policy: Checksums-{Sha1,Sha256} are now mandatory
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Ansgar Burchardt <ansgar@debian.org>
     Closes: #690293
   * Policy: Requirements for udebs are not well documented yet
     Wording: Russ Allbery <rra@debian.org>
     Wording: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Cyril Brulebois <kibi@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Closes: #698030
   * Policy: install-info is run by a dpkg trigger.
     Wording: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Closes: #669915
   * Policy: Stop recommending to serve HTML documents from /usr/share/doc.
     Wording: Thomas Goirand <zigo@debian.org>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Jonathan Nieder <jrnieder@gmail.com>
     Closes: #715804
   * Policy: File names encoded in UTF-8. ASCII preferred and mandatory in PATH.
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Julian Gilbey <julian@d-and-j.net>
     Closes: #701081
   * Policy: Document the Dgit field for Debian Source Control files.
     Wording: Ian Jackson <ijackson@chiark.greenend.org.uk>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Joey Hess <joeyh@debian.org>
     Seconded: Dmitrijs Ledkovs <xnox@debian.org>
     Closes: #720507
   * Policy: Remove the exception to the FHS for the /selinux directory.
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Closes: #707183
   * Policy: on upgrades, recommend removing obsolete unchanged conf. files.
     Wording: Paul Wise <pabs@debian.org>
     Seconded: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Charles Plessy <plessy@debian.org>
     Closes: #707077
   * Policy: Control data fields must not start with a hyphen character.
     Wording: Niels Thykier <niels@thykier.net>
     Seconded: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #706778
   * debconf_spec: Document the 'escape' capability.
     Wording: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Charles Plessy <plessy@debian.org>
     Seconded: Russ Allbery <rra@debian.org>
     Closes: #671355
   * virtual-package-names-list: removed mp3-decoder and mp3-encoder.
     Seconded: Jonathan Nieder <jrnieder@gmail.com>
     Seconded: Kurt Roeckx <kurt@roeckx.be>
     Seconded: Charles Plessy <plessy@debian.org>
     Closes: #668394
   * Clean outdated mentions of dpkg commands in appendix. Thanks, Guillem Jover
   * Remove outdated mention of dselect documentation.
     Closes: #700574.  Thanks, Guillem Jover.
   * Update dak reference from old katie name.
     Closes: #700536.  Thanks, Guillem Jover.
   * Fix typo in 8.6.4.  Thanks, Raúl Benencia.  (Closes: #691352)
   * Fix typo in 8.6.4.1.  Thanks, Salvatore Bonaccorso <carnil@debian.org>.
   * Added a warning in appendix G about diverting conffiles.
     Closes: #703022.  Thanks, Torsten Jerzembeck.
   * List build-arch and build-indep with the other required targets in 4.9.
     Closes: #704657.  Thanks, Philipp Hahn.
   * Replaced non-standard names of dpkg states by normalised ones.
     Closes: #705403
   * Clarify what is meant by "compressed" in section 10.5. (Closes: #676784)
   * Packaging: use the VCS URLs proposed by Lintian.
   * Packaging: normalised debian/control with the tool "config-model-edit".
   * Packaging: refreshed the names of the Policy Editors.
Checksums-Sha1: 
 49c5f971214313898754f1644b0ee93d2fba5b1a 1905 debian-policy_3.9.5.0.dsc
 44c176e8eb47b2ab31cf4a0f3b77d77d7b4ecea4 705836 debian-policy_3.9.5.0.tar.gz
 7d6edc865b3dd4d17f8a1f3f8a83febe0f6fa76d 1875912 debian-policy_3.9.5.0_all.deb
Checksums-Sha256: 
 39188d1779a5f79f5d742dc5909107440b236799d43df14d8ab2b1922a6f5b3e 1905 debian-policy_3.9.5.0.dsc
 2314a8daee0bbf212a5de119364d8350190f396a7104646c0540b2d80443dbf5 705836 debian-policy_3.9.5.0.tar.gz
 22def8fecebfc8332de984581602e68b584489ba512c2b9545daedd2248d7fb6 1875912 debian-policy_3.9.5.0_all.deb
Files: 
 7236d4ae22ea8706e70351241b33133f 1905 doc optional debian-policy_3.9.5.0.dsc
 e077997b84cb2463ca0cb02a03eb346b 705836 doc optional debian-policy_3.9.5.0.tar.gz
 b20057c896ccd385cb23d34cced3b5ac 1875912 doc optional debian-policy_3.9.5.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCgAGBQJSbbiQAAoJEMW9bI8ildUCNGUP/1R/Fy1fCZziEnf0jdWAhXK4
7hg58u4O9im+iDa47KjvmFs6lSibRn4gEGX4RbEAJzXAM7Yl8j/CNhZb3rX7vhs1
svX7zCXJSAgcYCCHiXXsR0QRWQdxuPCuAfRkx3aYsXcppWQePsr5QmhSJBADESQ1
UqLdi2bbhtV5ONJpBM5uAjIQDcIYyE3trHguPGO4aM46wJZT3RriMy09esiPMX7k
wdliCTHdUf3ozQxtnoj+FqisAP4bAGIUKVzNSFpVTbtKS9SOp/lUPCf5ePW6tQMZ
q9fB6Apigf3m9tUcrfiIhIkBM7EFtqtCT67OIdIGr3ZL5ku+DDrc83CmVvtYmsgs
+BycHdV5KCcD5LLMlFUKso0URgQSxoCYDBOgqUhDLm75fW7Sek2JRX4iLEoo4FF0
x4GQfbNmoToY8axJpU2oJYtd/pGfaZpXqWl6jvqKGIS/PaglS2F//oEIWN0q1grc
01WC2rppiumTb0eE+C7y7eQ9bIOEVqZFYYA52KHAeb7C0mzZoJ0bXR4wXrwhRZdm
8lODxmawknIFjDGZhar+Df8VdsGlvSRsP3SKDjEOu6MRJuDBEfGJtEd4BwqikYRL
gdUfNzyIIGOJF7J4Jrm7WaAoJMm9xWnBFuz/BPPAJr92ZQWr6QIoscOfeR/iPsaz
YUst3H9ResYJJ6xDGi4B
=+tfQ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Dec 2013 07:26:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:09:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.